Workarea Facebook Conversion Tracking
================================================================================

A Facebook conversion tracking plugin for the Workarea Commerce platform. This integration sends events via browser and server
to Facebook Business Manager.

Getting Started
--------------------------------------------------------------------------------

This gem contains a Rails engine that must be mounted onto a host Rails application.

Then add the gem to your application's Gemfile specifying the source:

    # ...
    gem 'workarea-facebook_conversion_tracking'
    # ...

Update your application's bundle.

    cd path/to/application
    bundle

Features
--------------------------------------------------------------------------------

This integration supports the following features:
* Adding the Facebook pixel
* Support the following facebook standard events out of the box:
  * AddtoCart
  * Purchase

* Each event will require adjusting custom data on a per project need

Configuration
--------------------------------------------------------------------------------

**For Workarea v3.5 and Greater** 
Facebook Conversion Tracking can be configured via the settings section in the Workarea admin console.
Available settings are: 
* pixel id
* access token
* test code


**For Workarea v3.0 to V3.4**
Add the following to your secrets:

  facebook_conversion_tracking:
    pixel_id: YOUR-PIXEL-ID
    access_token: YOUR-ACCESS-TOKEN
    test_code: YOUR-TEST-CODE

Documentation
--------------------------------------------------------------------------------
See [https://developers.facebook.com/docs/facebook-pixel/implementation/conversion-tracking](https://developers.facebook.com/docs/facebook-pixel/implementation/conversion-tracking) for Conversion Tracking Documentation. 

See [https://developer.workarea.com](https://developer.workarea.com) for Workarea platform documentation.

License
--------------------------------------------------------------------------------

Workarea Sezzle is released under the MIT open source agreement.

